Role Name
=========

A role that configures rsyslog

Role Variables
--------------

The most important variables are listed below:

``` yaml
rsyslog_enable_remote_socket: False
rsyslog_enable_remote_udp: 'enabled'
rsyslog_enable_remote_tcp: 'disabled'

rsyslog_remote_path: /var/log/remote
rsyslog_tls_status: 'disabled'
rsyslog_tls_deb_pkgs:
  - 'rsyslog-gnutls'

rsyslog_tls_rh_pkgs:
  - 'rsyslog-gnutls'

rsyslog_udp_port: 514
rsyslog_tcp_port: 514

rsyslog_send_to_remote: False

rsyslog_firewalld_services:
  - { service: 'syslog', state: '{{ rsyslog_enable_remote_udp }}', zone: '{{ firewalld_default_zone }}' }
  - { service: 'syslog-tls', state: '{{ rsyslog_tls_status }}', zone: '{{ firewalld_default_zone }}'  }

rsyslog_firewalld_ports:
  - { port: '{{ rsyslog_tcp_port }}', protocol: 'tcp', state: '{{ rsyslog_enable_remote_tcp }}', zone: '{{ firewalld_default_zone }}'  }

rsyslog_send_to_elasticsearch: False

rsyslog_use_inotify: True
# Not used when inotify is enabled
rsyslog_file_polling_interval: 10
```

Dependencies
------------

None

License
-------

EUPL-1.2

Author Information
------------------

Andrea Dell'Amico, <andrea.dellamico@isti.cnr.it>
